summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-db/mysql-connector-c++: amd64 stable wrt bug #678172Mikle Kolyada2019-02-201-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* dev-lua/luvit: amd64 stable wrt bug #676492Mikle Kolyada2019-02-201-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* sys-kernel/gentoo-sources: Linux patch 4.20.11Mike Pagano2019-02-202-0/+31
| | | | | Signed-off-by: Mike Pagano <mpagano@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* net-im/dino: specify valac for build system to useAndrey Utkin2019-02-201-0/+2
| | | | | | | | | | | | | | | | | Before, dino's cmake scripts just searched for unversioned valac, and versioned ones with versions in the range 0.32 - 0.38. There are good reasons to let Portage decide which valac to use. * Now we have 0.40 and 0.42 in Gentoo tree. These are not detected by dino build system (bug 678402). * Allow users to override valac version uniformly across Gentoo with VALAC envvar. Suggested-by: Daniel Kenzelmann <gentoo@k8n.de> Bug: https://bugs.gentoo.org/678402 Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>
* prefix/darwin/macos/arch/ppc/package.mask: drop gcc-8 maskFabian Groffen2019-02-201-6/+0
| | | | | | GCC-8 is fixed now Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-misc/tmux-xpanes: version bump.Patrice Clement2019-02-202-0/+37
| | | | | Signed-off-by: Patrice Clement <monsieurp@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* profiles: remove prefix/linux-standalone deprecated profilesFabian Groffen2019-02-2028-69/+0
| | | | | Closes: https://bugs.gentoo.org/673278 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* sys-cluster/util-vserver: add missing patch.Patrice Clement2019-02-202-0/+15
| | | | | | Bug: https://bugs.gentoo.org/632586 Signed-off-by: Patrice Clement <monsieurp@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* app-misc/skim: bump to 0.5.4Georgy Yakovlev2019-02-192-0/+76
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* sys-kernel/gentoo-sources: amd64 stable wrt bug #678094Mikle Kolyada2019-02-204-4/+4
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* media-libs/mesa: Version bump to 19.0.0_rc5Matt Turner2019-02-192-0/+516
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* dev-ruby/bunny: add 2.14.0Hans de Graaff2019-02-202-0/+34
| | | | | Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* dev-ruby/bunny: cleanupHans de Graaff2019-02-204-102/+0
| | | | | Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* sys-apps/portage: version bump to 2.3.62Zac Medico2019-02-192-0/+272
| | | | | | | | | #678278 unprivileged sync emergelog lock permission denied Bug: https://bugs.gentoo.org/671498 Bug: https://bugs.gentoo.org/678278 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Zac Medico <zmedico@gentoo.org>
* mail-client/claws-mail: Synced live ebuild.Lars Wendler2019-02-201-10/+16
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* mail-client/claws-mail: Revbump to add lots of missing RDEPs.Lars Wendler2019-02-201-9/+15
| | | | | | | | Also bumped ebuild to EAPI-7. Closes: https://bugs.gentoo.org/678318 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* sys-cluster/util-vserver: create needed runtime directories.Patrice Clement2019-02-191-4/+7
| | | | | | Closes: https://bugs.gentoo.org/632586 Signed-off-by: Patrice Clement <monsieurp@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* profiles/hardened/linux/ia64: deprecate in favour of 17.0 profilesSergei Trofimovich2019-02-191-0/+1
| | | | | | Use default/linux/ia64/17.0 instead. Bug: https://bugs.gentoo.org/673276 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* profiles/default/linux/arm: deprecated 13.0 profilesSergei Trofimovich2019-02-1932-0/+32
| | | | | | | Suggest using 17.0 profile equivalents instead. Closes: https://bugs.gentoo.org/673254 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* dev-embedded/sdcc: require sdbinutils for every port, bug #678354Sergei Trofimovich2019-02-192-14/+14
| | | | | | | | | | | | | | | Top-level Makefile unconditionally pulls in sdcc-binutils as a dependency. If being opted out explicitly the build always fails as: make -j5 -s make[1]: *** No targets specified and no makefile found. Stop. make: *** [Makefile:147: sdcc-sdbinutils] Error 2 Fix it by effectively requiring IUSE=sdbinutils for each port. Reported-by: email200202@yahoo.com Closes: https://bugs.gentoo.org/678354 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/libosinfo: bump to 1.3.0Mart Raudsepp2019-02-192-0/+63
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* sys-apps/osinfo-db-tools: bump to 1.3.0Mart Raudsepp2019-02-192-0/+33
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* sys-apps/osinfo-db: bump to 20190218Mart Raudsepp2019-02-192-0/+28
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* sys-apps/osinfo-db: remove oldMart Raudsepp2019-02-193-56/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* sys-apps/osinfo-db-20181203: ALLARCHES stableMart Raudsepp2019-02-191-2/+2
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* app-shells/fish: drop 3.0.1Georgy Yakovlev2019-02-192-76/+0
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* app-shells/fish: bump to 3.0.2Georgy Yakovlev2019-02-192-0/+76
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* media-libs/vidstab: add ~arm, bug #675190Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* media-libs/libwmf: arm stable, bug #676578Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* media-libs/libmetalink: arm stable, bug #676576Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* virtual/python-futures: arm stable, bug #676562Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* dev-python/setuptools: arm stable, bug #676562Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* dev-lua/luasocket: arm stable, bug #676488Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* dev-libs/fstrm: arm stable, bug #676462Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* dev-libs/beecrypt: arm stable, bug #676458Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* dev-python/fonttools: arm stable, bug #676272Markus Meier2019-02-191-1/+1
| | | | | | Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
* app-text/mupdf: fix libressl and opensslVirgil Dupras2019-02-193-0/+212
| | | | | | | | | | | | | | | | openssl's requirements is actually 1.1+. prior to this change, mupdf compiled with openssl support unless openssl 1.1+ was installed. libressl support requires a patch to work properly. Also, other minor fixes. See closed bugs. Closes: https://bugs.gentoo.org/671062 Closes: https://bugs.gentoo.org/623732 Closes: https://bugs.gentoo.org/669698 Closes: https://bugs.gentoo.org/670832 Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* net-libs/webkit-gtk: security cleanupMart Raudsepp2019-02-192-288/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* dev-vcs/git: Don't call perl_get_raw_vendorlib when USE="-perl"James Le Cuirot2019-02-196-11/+11
| | | | | | | Perl might not even be installed. Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
* net-libs/webkit-gtk: amd64 stable wrt bug #678334Agostino Sarubbo2019-02-191-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* net-misc/rdesktop: amd64 stable wrt bug #674558Agostino Sarubbo2019-02-191-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* app-emulation/qemu: Move some DEPEND entries to BDEPENDJames Le Cuirot2019-02-192-9/+825
| | | | | | | | I'm not sure about PYTHON_DEPS but it usually needs to be in both and this is safest anyhow. Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
* app-emulation/libpod: Add rootless useflagGerhard Bräunlich2019-02-192-0/+142
| | | | | | | Closes: https://github.com/gentoo/gentoo/pull/11107 Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Gerhard Bräunlich <g.braeunlich@disroot.org> Signed-off-by: Zac Medico <zmedico@gentoo.org>
* net-libs/webkit-gtk: x86 stable (bug #678334)Thomas Deutschmann2019-02-191-1/+1
| | | | | Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* sys-apps/systemd: x86 stable (bug #677944)Thomas Deutschmann2019-02-191-1/+1
| | | | | Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* www-client/firefox: add more fixes WaylandThomas Deutschmann2019-02-192-0/+689
| | | | | | | | | Update patch to match what landed in Firefox 67 and backport crash fix for upstream bug 1527556. Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1527556 Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* app-emulation/qemu: drop vulnerable, bug #678302Matthias Maier2019-02-191-809/+0
| | | | | | Bug: https://bugs.gentoo.org/678302 Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* media-sound/qtractor: Add proxy-maintainer informationSimon van der Veldt2019-02-191-0/+8
| | | | | Signed-off-by: Simon van der Veldt <simon.vanderveldt@gmail.com> Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-sound/qtractor: Drop oldSimon van der Veldt2019-02-192-66/+0
| | | | | Signed-off-by: Simon van der Veldt <simon.vanderveldt@gmail.com> Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-sound/qtractor: Bump to 0.9.5Simon van der Veldt2019-02-192-0/+66
| | | | | | | Closes: https://bugs.gentoo.org/678374 Signed-off-by: Simon van der Veldt <simon.vanderveldt@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11054 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>